tiIndicator: deleteTiIndicatorsByExternalId
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete multiple threat intelligence (TI) indicators in one request instead of multiple requests, when the request contains external IDs instead of IDs.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | ThreatIndicators.ReadWrite.OwnedBy |
| Delegated (personal Microsoft account) | Not supported. |
| Application | ThreatIndicators.ReadWrite.OwnedBy |
HTTP request
POST /security/tiIndicators/deleteTiIndicatorsByExternalId
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {code} |
Request body
In the request body, provide a JSON object with the following parameters.
| Parameter | Type | Description |
|---|---|---|
| value | String collection | Collection of externalIds of the tiIndicator objects to be deleted. |
Response
If successful, this method returns 200, OK response code and a resultInfo collection object in the response body. If there is an error, this method returns a 206 Partial Content response code. See Errors for more information.
Examples
The following example shows how to call this API.
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/security/tiIndicators/deleteTiIndicatorsByExternalId
Content-type: application/json
{
"value": [
"externalId-value1",
"externalId-value2"
]
}
Response
The following is an example of the response.
Note
The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"code": 0,
"message": "message-value",
"subCode": "subCode-value"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk